## WebKitNavigationAction WebKitNavigationAction |

## Functions

WebKitNavigationAction * | webkit_navigation_action_copy ()
void | webkit_navigation_action_free ()
WebKitNavigationType | webkit_navigation_action_get_navigation_type ()
guint | webkit_navigation_action_get_mouse_button ()
guint | webkit_navigation_action_get_modifiers ()
WebKitURIRequest * | webkit_navigation_action_get_request ()
gboolean | webkit_navigation_action_is_user_gesture ()
gboolean | webkit_navigation_action_is_redirect ()

## Types and Values

| WebKitNavigationAction

## Object Hierarchy

        GBoxed
        ╰── WebKitNavigationAction

## Description

## Functions

### webkit_navigation_action_copy ()

    WebKitNavigationAction *
    webkit_navigation_action_copy (WebKitNavigationAction *navigation);

Make a copy of `navigation` .

#### Parameters

navigation | a WebKitNavigationAction |

#### Returns

A copy of passed in WebKitNavigationAction.

[transfer full]

Since: 2.6

### webkit_navigation_action_free ()

    void
    webkit_navigation_action_free (WebKitNavigationAction *navigation);

Free the WebKitNavigationAction

#### Parameters

navigation | a WebKitNavigationAction |

Since: 2.6

### webkit_navigation_action_get_navigation_type ()

    WebKitNavigationType
    webkit_navigation_action_get_navigation_type
                                   (WebKitNavigationAction *navigation);

Return the type of action that triggered the navigation.

#### Parameters

navigation | a WebKitNavigationAction |

#### Returns

a WebKitNavigationType

Since: 2.6

### webkit_navigation_action_get_mouse_button ()

    guint
    webkit_navigation_action_get_mouse_button
                                   (WebKitNavigationAction *navigation);

Return the number of the mouse button that triggered the navigation, or 0 if the navigation was not started by a mouse event.

#### Parameters

navigation | a WebKitNavigationAction |

#### Returns

the mouse button number or 0

Since: 2.6

### webkit_navigation_action_get_modifiers ()

    guint
    webkit_navigation_action_get_modifiers
                                   (WebKitNavigationAction *navigation);

Return a bitmask of GdkModifierType values describing the modifier keys that were in effect when the navigation was requested

#### Parameters

navigation | a WebKitNavigationAction |

#### Returns

the modifier keys

Since: 2.6

### webkit_navigation_action_get_request ()

    WebKitURIRequest *
    webkit_navigation_action_get_request (WebKitNavigationAction *navigation);

Return the navigation WebKitURIRequest

#### Parameters

navigation | a WebKitNavigationAction |

#### Returns

a WebKitURIRequest.

[transfer none]

Since: 2.6

### webkit_navigation_action_is_user_gesture ()

    gboolean
    webkit_navigation_action_is_user_gesture
                                   (WebKitNavigationAction *navigation);

Return whether the navigation was triggered by a user gesture like a mouse click.

#### Parameters

navigation | a WebKitNavigationAction |

#### Returns

whether navigation action is a user gesture

Since: 2.6

### webkit_navigation_action_is_redirect ()

    gboolean
    webkit_navigation_action_is_redirect (WebKitNavigationAction *navigation);

Returns whether the `navigation` was redirected.

#### Parameters

navigation | a WebKitNavigationAction |

#### Returns

`TRUE` if the original navigation was redirected, `FALSE` otherwise.

Since: 2.20

## Types and Values

### WebKitNavigationAction

    typedef struct _WebKitNavigationAction WebKitNavigationAction;